//Filename: sysinfo.h

#ifndef SYSINFO_H
#define SYSINFO_H

#include <gtkmm/treemodelcolumn.h>
#include <gtkmm/treeview.h>
#include <gtkmm/liststore.h>
#include <gtkmm/window.h>
#include <gtkmm/imagemenuitem.h>
#include <gtkmm/aboutdialog.h>
#include <libglademm/xml.h>
#include <iostream>

//sysinfo class
class Sysinfo : public Gtk::Window {
    public:
		Sysinfo(BaseObjectType* cobject, const Glib::RefPtr<Gnome::Glade::Xml>&refGlade);
        virtual ~Sysinfo();
	
	protected:
		virtual void on_menuitem_quit();
	    virtual void on_menuitem_about();
		
		//treeview
		class ModelColumns : public Gtk::TreeModel::ColumnRecord
		{
			public:
				ModelColumns() { 
					add(m_col1); 
				}
			
			Gtk::TreeModelColumn<Glib::ustring> m_col1;
			
		};
		ModelColumns m_Columns;
		
		Glib::RefPtr<Gnome::Glade::Xml> m_refGlade;
		Gtk::TreeView *m_TreeView;
		Glib::RefPtr<Gtk::ListStore> m_refTreeModel;
		
		//menuitems 
		Gtk::ImageMenuItem *menuitem_quit;
		Gtk::ImageMenuItem *menuitem_about;
		
		//other
		Gtk::AboutDialog *aboutdialog;
		
	
};

#endif //SYSINFO_H

//ghaefb
